Bug 1874738 - The message in CSO about manila looks like not necessary
Summary: The message in CSO about manila looks like not necessary
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Fabio Bertinatto
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 06:47 UTC by Qin Ping
Modified: 2020-09-11 12:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 82 None closed Bug 1874738: Remove noisy messages in Available/Progressing conditions 2020-09-14 08:52:37 UTC

Description Qin Ping 2020-09-02 06:47:33 UTC
Description of Problem:
The message in CSO about manila looks like not necessary

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-09-01-070508

How Reproducible:
Always


Steps to Reproduce:
1. Install an OCP4.6 cluster on OSP with manila service enabled.
2. Check the CSO

Actual Results:
$ oc get co storage -o json| jq .status.conditions
[
  {
    "lastTransitionTime": "2020-09-02T02:05:52Z",
    "reason": "AsExpected",
    "status": "False",
    "type": "Degraded"
  },
  {
    "lastTransitionTime": "2020-09-02T06:08:24Z",
    "message": "ManilaOLMOperatorRemovalProgressing: CSI driver installed by OLM is not preset",
    "reason": "AsExpected",
    "status": "False",
    "type": "Progressing"
  },
  {
    "lastTransitionTime": "2020-09-02T05:44:30Z",
    "message": "ManilaOLMOperatorRemovalAvailable: CSI driver installed by OLM is not preset",
    "reason": "AsExpected",
    "status": "True",
    "type": "Available"
  },
  {
    "lastTransitionTime": "2020-09-02T02:06:02Z",
    "reason": "AsExpected",
    "status": "True",
    "type": "Upgradeable"
  }
]

If installed manila csi driver operator from operator hub, these messages are still not changed.
$ oc get maniladriver
NAME      AGE
cluster   6m18s

Expected Results:
If we don't support install manila csi driver operator by operator hub in 4.6, these messages might not be needed.

Comment 1 Fabio Bertinatto 2020-09-02 12:23:02 UTC
Hi @Qin; 

When the operator is installed via OLM in 4.5, and carried over to 4.6 via upgrade, CSO will remove the old operator before installing the new (4.6) one.

The initial intent of these messages was to report the status of this removal, but I can see how this can be noisy.

I've create

Comment 2 Fabio Bertinatto 2020-09-02 12:29:55 UTC
(Apologies, my previous commit went through incomplete)

Hi @Qin; 

When the operator is installed via OLM in 4.5, and carried over to 4.6 via upgrade, CSO will remove the old operator before installing the new (4.6) one.

The initial intent of these messages was to report the status of this removal, but I can see how this can be noisy.

I've created a PR [1] to remove those messages if the old operator wasn't found. Note that I left the message "CSI driver has been removed from OLM" for when the old OLM-based Manila operator is indeed removed by CSO, but that message will only stay there for a short period of time (until the operator reconciles again). Let me know if you think that message should go away as well.

[1] openshift/cluster-storage-operator/pull/82

Comment 6 Wei Duan 2020-09-11 12:57:47 UTC
Cluster version: 4.6.0-0.nightly-2020-09-10-195619    
ManilaCSIDriverOperator version: 4.6.0-0.nightly-2020-09-10-195619

$ oc get co storage -ojson | jq .status.conditions
[
  {
    "lastTransitionTime": "2020-09-11T01:10:35Z",
    "reason": "AsExpected",
    "status": "False",
    "type": "Degraded"
  },
  {
    "lastTransitionTime": "2020-09-11T01:24:59Z",
    "reason": "AsExpected",
    "status": "False",
    "type": "Progressing"
  },
  {
    "lastTransitionTime": "2020-09-11T01:13:28Z",
    "reason": "AsExpected",
    "status": "True",
    "type": "Available"
  },
  {
    "lastTransitionTime": "2020-09-11T01:10:46Z",
    "reason": "AsExpected",
    "status": "True",
    "type": "Upgradeable"
  }
]

Mark VERIFIED according to the above result.


Note You need to log in before you can comment on or make changes to this bug.